=== debian/changelog ===
postgresql-pljava (1.5.2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 09 Nov 2018 11:36:20 +0100

postgresql-pljava (1.5.2-1) unstable; urgency=medium

  * New upstream version.
  * Test-Depend on default-jre-headless.
  * Build with -Psaxon-examples (not with Java 7).
  * Remove dead gborg images from documentation.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Nov 2018 11:36:20 +0100
