## postgresql-pljava 1.5.5

=== debian/changelog ===
postgresql-pljava (1.5.5-3.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 30 Mar 2020 18:53:12 +0200

postgresql-pljava (1.5.5-3) unstable; urgency=medium

  * Move m2 cache to /var/tmp/m2 and use flock to prevent multiple instances
    from running in parallel.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Mar 2020 18:53:12 +0200

postgresql-pljava (1.5.5-2) unstable; urgency=medium

  * tests: On error, show java log.
  * Support arm64 by adding aarch64 to the nar properties file.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Mar 2020 21:56:49 +0100

postgresql-pljava (1.5.5-1) unstable; urgency=medium

  * New upstream version.
  * Store mvn downloaded files in debian/.m2.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Nov 2019 14:20:36 +0100

postgresql-pljava (1.5.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 11:56:49 +0100

postgresql-pljava (1.5.3-1) unstable; urgency=medium

  * New upstream version.
  * Build with default-{jre,jdk}-headless, drop support for Java 7.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Jun 2019 16:43:12 +0200
