=== debian/control ===
--- 
+++ 
@@ -5,49 +5,17 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
  libssl-dev,
  maven,
- openjdk-8-jdk-headless | openjdk-7-jdk,
  postgresql-server-dev-all (>= 118),
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Homepage: https://tada.github.io/pljava/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pljava
 XS-Testsuite: autopkgtest
-
-Package: postgresql-9.3-pljava
-Architecture: any
-Depends:
- default-jre-headless | ${jre:Depends} | java-runtime-headless,
- postgresql-9.3,
- ${misc:Depends},
- ${shlibs:Depends},
-Provides: postgresql-pljava
-Description: Java procedural language for PostgreSQL 9.3
- PL/Java is a loadable procedural language for the PostgreSQL database
- system that enables the use of the Java language for creating functions
- and trigger procedures.
- .
- This package has been configured to use libjvm.so from ${jre:Depends}
- by default. Other Java versions can be selected at runtime.
-
-Package: postgresql-9.4-pljava
-Architecture: any
-Depends:
- default-jre-headless | ${jre:Depends} | java-runtime-headless,
- postgresql-9.4,
- ${misc:Depends},
- ${shlibs:Depends},
-Provides: postgresql-pljava
-Description: Java procedural language for PostgreSQL 9.4
- PL/Java is a loadable procedural language for the PostgreSQL database
- system that enables the use of the Java language for creating functions
- and trigger procedures.
- .
- This package has been configured to use libjvm.so from ${jre:Depends}
- by default. Other Java versions can be selected at runtime.
 
 Package: postgresql-9.5-pljava
 Architecture: any
@@ -113,3 +81,18 @@
  This package has been configured to use libjvm.so from ${jre:Depends}
  by default. Other Java versions can be selected at runtime.
 
+Package: postgresql-12-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-12,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 12
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
