=== debian/rules ===
--- 
+++ 
@@ -3,26 +3,27 @@
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 include /usr/share/dpkg/architecture.mk
 
-# use Java 8 (or 6/7) for compilation
-export JAVA_HOME = $(wildcard /usr/lib/jvm/java-[678]-openjdk-*)
+export JAVA_HOME = /usr/lib/jvm/default-java
 # use the default Java for libjvm at runtime
-DPKG_S = $(shell dpkg -S '/usr/lib/jvm/*/libjvm.so' | sort -V | tail -1)
+DPKG_S = $(shell dpkg -S '*/libjvm.so' | sort -V | tail -1)
 JRE_DEB = $(shell echo $(firstword $(DPKG_S)) | sed -e 's/:.*//')
 LIBJVM_SO = $(lastword $(DPKG_S))
-
-# saxon examples require Java 8
-ifneq ($(findstring -8-,$(JAVA_HOME)),)
-SAXONEXAMPLES = -Psaxon-examples
-endif
 
 # teach nar how to compile and link on ppc
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 AOLPROPERTIES = -Dnar.aolProperties=pljava-so/aol.properties
 endif
 
+# put m2 cache into /var/tmp/m2
+# use flock to prevent multiple instances from running in parallel
+LOCK = flock /var/tmp/.m2-lock
+REPO = /var/tmp/m2
+MVN = $(LOCK) mvn -Dmaven.repo.local=$(REPO)
+
 override_dh_auto_clean:
-	# disable fakeroot here, we need the real ~/.m2
-	LD_PRELOAD= mvn --batch-mode clean
+	# delete stale m2 files
+	test ! -d $(REPO) || $(LOCK) find $(REPO) \( -name \*.part -or -name \*.lock \) -delete
+	$(MVN) --batch-mode clean
 	rm -rf build-*
 
 override_dh_auto_build:
@@ -30,7 +31,7 @@
 	for version in $$(pg_buildext supported-versions .) ; do \
 		PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config; \
 		echo "### Compiling for PostgreSQL $$version"; \
-		mvn --batch-mode -Pwnosign $(SAXONEXAMPLES) \
+		$(MVN) --batch-mode -Pwnosign -Psaxon-examples \
 		    -Dso.debug=true $(AOLPROPERTIES) \
 		    -Dpgsql.pgconfig=$$PG_CONFIG \
 		    -Dpljava.libjvmdefault=$(LIBJVM_SO) \
