## postgresql-pljava 1.5.6

=== debian/changelog ===
postgresql-pljava (1.5.6-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 05 Oct 2020 10:17:04 +0200

postgresql-pljava (1.5.6-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Use installed-versions instead of supported-versions.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Oct 2020 10:17:04 +0200
