=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
  libssl-dev,
  maven,
- postgresql-server-dev-all (>= 118),
+ postgresql-all (>= 219~),
 Standards-Version: 4.5.0
 Homepage: https://tada.github.io/pljava/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
@@ -96,3 +96,19 @@
  .
  This package has been configured to use libjvm.so from ${jre:Depends}
  by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-13-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-13,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 13
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
