=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-include /usr/share/postgresql-common/pgxs_debian_control.mk
 include /usr/share/dpkg/architecture.mk
 
 export JAVA_HOME = /usr/lib/jvm/default-java
@@ -40,8 +39,6 @@
 		cp pljava-packaging/target/pljava-pg$$version*.jar build-$$version; \
 	done
 
-override_dh_auto_test:
-
 override_dh_auto_install:
 	set -ex; \
 	for version in $$(pg_buildext supported-versions .) ; do \
@@ -53,6 +50,9 @@
 		     -jar build-$$version/pljava-pg$$version*.jar; \
 	done
 
+override_dh_pgxs_test:
+	+pg_buildext virtualenv . . postgresql-%v-pljava < debian/tests/test.sh
+
 override_dh_installdocs:
 	dh_installdocs --all docs/*.html
 
@@ -61,4 +61,4 @@
 	dh_gencontrol -- -V"jre:Depends=$(JRE_DEB)"
 
 %:
-	dh $@
+	dh $@ --with pgxs
