## postgresql-pljava 1.6.3

=== debian/changelog ===
postgresql-pljava (1.6.3-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 16 Oct 2021 11:50:51 +0200

postgresql-pljava (1.6.3-2) unstable; urgency=medium

  * Relax dependencies on -pljava-common to >= so we can deprecate PG major
    versions without having to rebuild all older modules when a new pljava
    version is released.
  * Keep required mvn artifacts in debian/m2 and add them to git.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Oct 2021 11:50:51 +0200

postgresql-pljava (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Oct 2021 11:38:47 +0200

postgresql-pljava (1.6.2-2) unstable; urgency=medium

  * Add debian/NEWS entry about the new permission system.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Feb 2021 23:19:24 +0100

postgresql-pljava (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2.
  * Create new package postgresql-pljava-common to hold the pljava.policy
    file.
  * Only invoke "mvn clean" if the package was built to avoid failure because
    pljava-pgxs.jar isn't found.
  * Update tests for new api structure.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Feb 2021 17:39:58 +0100
