=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
@@ -12,32 +12,18 @@
  maven,
  postgresql-all (>= 219~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://tada.github.io/pljava/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pljava
 XS-Testsuite: autopkgtest
-
-Package: postgresql-9.5-pljava
-Architecture: any
-Depends:
- default-jre-headless | ${jre:Depends} | java-runtime-headless,
- postgresql-9.5,
- ${misc:Depends},
- ${shlibs:Depends},
-Provides: postgresql-pljava
-Description: Java procedural language for PostgreSQL 9.5
- PL/Java is a loadable procedural language for the PostgreSQL database
- system that enables the use of the Java language for creating functions
- and trigger procedures.
- .
- This package has been configured to use libjvm.so from ${jre:Depends}
- by default. Other Java versions can be selected at runtime.
 
 Package: postgresql-9.6-pljava
 Architecture: any
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-9.6,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -54,6 +40,7 @@
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-10,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -70,6 +57,7 @@
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-11,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -86,6 +74,7 @@
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-12,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -102,6 +91,7 @@
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-13,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -112,3 +102,31 @@
  .
  This package has been configured to use libjvm.so from ${jre:Depends}
  by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-14-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-14,
+ postgresql-pljava-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 14
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-pljava-common
+Architecture: all
+Depends:
+ ${misc:Depends},
+Description: Java procedural language for PostgreSQL, config files
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package contains the pljava.policy config file.
