=== debian/rules ===
--- 
+++ 
@@ -13,16 +13,21 @@
 AOLPROPERTIES = -Dnar.aolProperties=pljava-so/aol.properties
 endif
 
-# put m2 cache into /var/tmp/m2
-# use flock to prevent multiple instances from running in parallel
-LOCK = flock /var/tmp/.m2-lock
-REPO = /var/tmp/m2
-MVN = $(LOCK) mvn -Dmaven.repo.local=$(REPO)
+# put m2 cache into debian/m2 and keep it in git
+REPO = debian/m2
+OFFLINE = --offline
+MVN = mvn $(OFFLINE) -Dmaven.repo.local=$(REPO)
+
+override_dh_clean:
+	dh_clean
+	find debian/m2 -type f | LC_COLLATE=C sort > debian/source/include-binaries
 
 override_dh_auto_clean:
+	pg_buildext checkcontrol
 	# delete stale m2 files
-	test ! -d $(REPO) || $(LOCK) find $(REPO) \( -name \*.part -or -name \*.lock \) -delete
-	$(MVN) --batch-mode clean
+	test ! -d $(REPO) || find $(REPO) \( -name \*.part -or -name \*.lock \) -delete
+	# only invoke "clean" if the package was built
+	[ ! -d pljava-so/target ] || $(MVN) --batch-mode clean
 	rm -rf build-*
 
 override_dh_auto_build:
@@ -47,6 +52,7 @@
 		java -Dpgsql.pgconfig=$$PG_CONFIG \
 		     -Dpgconfig.pkglibdir=debian/postgresql-$$version-pljava/usr/lib/postgresql/$$version/lib \
 		     -Dpgconfig.sharedir=debian/postgresql-$$version-pljava/usr/share/postgresql/$$version \
+		     -Dpgconfig.sysconfdir=debian/postgresql-pljava-common/etc/postgresql-common \
 		     -jar build-$$version/pljava-pg$$version*.jar; \
 	done
 
@@ -54,7 +60,7 @@
 	+pg_buildext virtualenv . . postgresql-%v-pljava < debian/tests/test.sh
 
 override_dh_installdocs:
-	dh_installdocs --all docs/*.html
+	dh_installdocs --all -Npostgresql-pljava-common docs/*.html
 
 override_dh_gencontrol:
 	# add dependency on $(JRE_DEB) for libjvm.so
