=== debian/tests/control ===
Depends: @, default-jre-headless, make
Tests: installjar
Restrictions: allow-stderr
