## postgresql-pljava 1.6.4

=== debian/changelog ===
postgresql-pljava (1.6.4-1.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Jan 2022 10:29:33 +0100

postgresql-pljava (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Jan 2022 10:29:33 +0100
