=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 11),
  default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
@@ -17,23 +17,6 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pljava
 XS-Testsuite: autopkgtest
-
-Package: postgresql-9.6-pljava
-Architecture: any
-Depends:
- default-jre-headless | ${jre:Depends} | java-runtime-headless,
- postgresql-9.6,
- postgresql-pljava-common (>= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Provides: postgresql-pljava
-Description: Java procedural language for PostgreSQL 9.6
- PL/Java is a loadable procedural language for the PostgreSQL database
- system that enables the use of the Java language for creating functions
- and trigger procedures.
- .
- This package has been configured to use libjvm.so from ${jre:Depends}
- by default. Other Java versions can be selected at runtime.
 
 Package: postgresql-10-pljava
 Architecture: any
