## postgresql-pljava 1.6.6

=== debian/changelog ===
postgresql-pljava (1.6.6-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Sep 2023 10:51:22 +0200

postgresql-pljava (1.6.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Sep 2023 10:51:22 +0200

postgresql-pljava (1.6.4-2) unstable; urgency=medium

  * Add patch to support PG 15.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Jan 2023 18:43:37 +0200
