=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
@@ -103,6 +103,40 @@
  This package has been configured to use libjvm.so from ${jre:Depends}
  by default. Other Java versions can be selected at runtime.
 
+Package: postgresql-15-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-15,
+ postgresql-pljava-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 15
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-16-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-16,
+ postgresql-pljava-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 16
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
+
 Package: postgresql-pljava-common
 Architecture: all
 Depends:
