=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g; s/b/~beta/" \
https://github.com/tada/pljava/tags .*/V(.*).tar.gz
