## postgresql-pljava 1.6.7

=== debian/changelog ===
postgresql-pljava (1.6.7-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Aug 2024 14:49:00 +0000

postgresql-pljava (1.6.7-2) unstable; urgency=medium

  * Fix installation of copyright file in the -common package.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Aug 2024 14:49:00 +0000

postgresql-pljava (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7.
  * Drop -Pnosign, add --errors.
  * B-D on full JDK; -headless doesn't ship libawt_xawt.so which the build
    wants.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Apr 2024 10:52:38 +0200

postgresql-pljava (1.6.6-2) unstable; urgency=medium

  * debian/tests/test.sh: Tell Java 20+ that we use the Java security
    architecture (https://github.com/tada/pljava/wiki/JEP-411).

 -- Christoph Berg <myon@debian.org>  Tue, 26 Mar 2024 16:40:24 +0000
