=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- default-jdk-headless,
- default-jre-headless,
+ default-jdk,
+ default-jre,
  libkrb5-dev,
  libssl-dev,
  maven,
