=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	for version in $$(pg_buildext supported-versions .) ; do \
 		PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config; \
 		echo "### Compiling for PostgreSQL $$version"; \
-		$(MVN) --batch-mode -Pwnosign -Psaxon-examples \
+		$(MVN) --batch-mode --errors -Psaxon-examples \
 		    -Dso.debug=true $(AOLPROPERTIES) \
 		    -Dpgsql.pgconfig=$$PG_CONFIG \
 		    -Dpljava.libjvmdefault=$(LIBJVM_SO) \
@@ -59,7 +59,7 @@
 override_dh_pgxs_test:
 	+pg_buildext virtualenv . . postgresql-%v-pljava < debian/tests/test.sh
 
-override_dh_installdocs:
+override_dh_installdocs-arch:
 	dh_installdocs --all -Npostgresql-pljava-common docs/*.html
 
 override_dh_gencontrol:
