=== debian/changelog ===
postgresql-pljava (1.6.9-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 23 Mar 2025 22:16:12 +0100

postgresql-pljava (1.6.9-1) unstable; urgency=medium

  * New upstream version 1.6.9.

 -- Christoph Berg <myon@debian.org>  Sun, 23 Mar 2025 22:16:12 +0100

postgresql-pljava (1.6.8-2) unstable; urgency=medium

  * debian/m2: Import new jars required on Ubuntu plucky.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2025 11:07:49 +0000

postgresql-pljava (1.6.8-1) unstable; urgency=medium

  * New upstream version 1.6.8.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Oct 2024 14:52:50 +0100
