=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Uploaders:
+ Christoph Berg <myon@debian.org>,
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
  default-jdk,
  default-jre,
  libkrb5-dev,
  libssl-dev,
  maven,
- postgresql-all (>= 219~),
-Standards-Version: 4.5.0
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://tada.github.io/pljava/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
@@ -26,7 +29,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 10
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -43,7 +47,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 11
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -60,7 +65,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 12
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -77,7 +83,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 13
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -94,7 +101,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 14
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -111,7 +119,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 15
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -128,8 +137,27 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 16
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-17-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-17,
+ postgresql-pljava-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ postgresql-pljava,
+Description: Java procedural language for PostgreSQL 17
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
  and trigger procedures.
